//Can Jiang Yixian AK NOIP?
#include<bits/stdc++.h>
using namespace std;
int readd()
{
	int f=1,x=0;
	char str=getchar();
	while(str<'0'||str>'9')
	{
		if(str=='-')
		 f=-1;
		str=getchar();
	}
	while(str>='0'&&str<='9')
	 x=x*10+str-'0',str=getchar();
	return x*f;
}
int main()
{
	freopen("barrack.in","r",stdin);
	freopen("barrack.out","w",stdout);
	int n,m,i,u,v;
	n=readd(),m=readd();
	srand(time(NULL));
	cout<<(unsigned long long)1145141919820%(unsigned long long)18446744073709551615<<endl;
	return 0;
}